﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IClosable.cs" company="http://buginbox.wordpress.com/">
//   Copyright (c) GNU General Public License version 2 (GPLv2)
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Wpf.Core.Behavior
{
    /// <summary>
    /// The i closable.
    /// </summary>
    public interface IClosable
    {
        /// <summary>
        /// Gets or sets CanBeClosed.
        /// </summary>
        Func<bool> CanBeClosed
        {
            get;
            set;
        }
    }
}