// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Shell.xaml.cs" company="http://buginbox.wordpress.com/">
//   Copyright (c) GNU General Public License version 2 (GPLv2)
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.Regions;

namespace WpfPrismWithSplash
{
    /// <summary>
    /// Interaction logic for Shell.xaml
    /// </summary>
    [Export]
    public partial class Shell
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Shell"/> class.
        /// </summary>
        public Shell()
        {
            InitializeComponent();
            DataContext = this;
        }

        /// <summary>
        /// Gets or sets the region manager.
        /// </summary>
        [Import]
        public IRegionManager RegionManager
        {
            get;
            set;
        }
    }
}