﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SplashView.xaml.cs" company="http://buginbox.wordpress.com/">
//   Copyright (c) GNU General Public License version 2 (GPLv2)
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System.Windows.Controls;

namespace Module.Splash.View
{
    /// <summary>
    /// Splash View
    /// </summary>
    public partial class SplashView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SplashView"/> class.
        /// </summary>
        public SplashView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Handles the ScrollChanged event of the LogScroller control.
        /// </summary>
        /// <param name="sender">
        /// The source of the event. 
        /// </param>
        /// <param name="e">
        /// The <see cref="System.Windows.Controls.ScrollChangedEventArgs"/> instance containing the event data. 
        /// </param>
        private void LogScroller_ScrollChanged(object sender, ScrollChangedEventArgs e)
        {
            LogScroller.ScrollToEnd();
        }
    }
}