﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SplashMessageEvent.cs" company="http://buginbox.wordpress.com/">
//   Copyright (c) GNU General Public License version 2 (GPLv2)
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using Microsoft.Practices.Prism.Events;

namespace Wpf.Core.Event
{
    /// <summary>
    /// The splash message event.
    /// </summary>
    public class SplashMessageEvent : CompositePresentationEvent<SplashMessageEvent>
    {
        /// <summary>
        /// Gets or sets Message.
        /// </summary>
        public string Message
        {
            get;
            set;
        }
    }
}